.. only:: html or latex

ns-3 Manual
===========

This is the *ns-3 Manual*. Primary documentation for the ns-3 project is 
available in five forms:

* `ns-3 Doxygen <http://www.nsnam.org/doxygen/index.html>`_: Documentation of the public APIs of the simulator
* Tutorial, Manual *(this document)*, and Model Library for the `latest release <http://www.nsnam.org/documentation/latest/>`_ and `development tree <http://www.nsnam.org/ns-3-dev/documentation/>`_
* `ns-3 wiki <http://www.nsnam.org/wiki/index.php/Main_Page>`_

This document is written in `reStructuredText <http://docutils.sourceforge.net/rst.html>`_ for `Sphinx <http://sphinx.pocoo.org/>`_ and is maintained in the
``doc/manual`` directory of ns-3's source code.

.. toctree::
   :maxdepth: 2

   organization
   random-variables
   callbacks
   object-model
   attributes
   object-names
   logging
   tracing
   realtime
   helpers
   gnuplot
   python
   tests
   support
